Package opennlp.morfologik.tagdict

## Class MorfologikTagDictionary

- java.lang.Object
- - opennlp.morfologik.tagdict.MorfologikTagDictionary

- All Implemented Interfaces:
    `TagDictionary`

      public class MorfologikTagDictionary
      extends Object
      implements TagDictionary

  A `TagDictionary` implementation based on Morfologik binary dictionaries

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MorfologikTagDictionary​(morfologik.stemming.Dictionary dict)` | Initializes a case sensitive `MorfologikTagDictionary`
    `MorfologikTagDictionary​(morfologik.stemming.Dictionary dict, boolean caseSensitive)` | Initializes a `MorfologikTagDictionary`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String[]` | `getTags​(String word)` |
    `boolean` | `isCaseSensitive()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MorfologikTagDictionary

          public MorfologikTagDictionary​(morfologik.stemming.Dictionary dict)
                                  throws IllegalArgumentException

      Initializes a case sensitive `MorfologikTagDictionary`
      Parameters:
        `dict` - A Morfologik FSA `Dictionary`.
      Throws:
        `IllegalArgumentException` - Thrown if FSA's root node cannot be acquired (dictionary is empty).

    - #### MorfologikTagDictionary

          public MorfologikTagDictionary​(morfologik.stemming.Dictionary dict,
                                         boolean caseSensitive)
                                  throws IllegalArgumentException

      Initializes a `MorfologikTagDictionary`
      Parameters:
        `dict` - A Morfologik FSA `Dictionary`.
        `caseSensitive` - If `true` it performs case-sensitive lookup
      Throws:
        `IllegalArgumentException` - Thrown if FSA's root node cannot be acquired (dictionary is empty).

  - ### Method Detail

    - #### getTags

          public String[] getTags​(String word)

      Specified by:
        `getTags` in interface `TagDictionary`

    - #### isCaseSensitive

          public boolean isCaseSensitive()

      Specified by:
        `isCaseSensitive` in interface `TagDictionary`